SunClassLoader (Groovy 4.0.10)

Package: org.codehaus.groovy.reflection

## [Java] Class SunClassLoader

- org.codehaus.groovy.reflection.SunClassLoader

-     public class SunClassLoader
      extends ClassLoader

  Special class loader, which when running on Sun VM allows to generate accessor classes for any method

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Map<String, Class>` | `knownClasses` |
    `protected static SunClassLoader` | `sunVM` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected SunClassLoader()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `define(byte[] bytes, String name)`
    `` | `public Class` | `doesKnow(String name)`
    `` | `protected Class` | `loadClass(String name, boolean resolve)`
    `` | `protected void` | `loadFromRes(String name)`
    `` | `protected static String` | `resName(String s)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassLoader` | `getName, loadClass, getPlatformClassLoader, getSystemClassLoader, getSystemResourceAsStream, getResourceAsStream, getSystemResource, getResource, getResources, getDefinedPackage, resources, isRegisteredAsParallelCapable, getSystemResources, getParent, getUnnamedModule, getDefinedPackages, setDefaultAssertionStatus, setPackageAssertionStatus, setClassAssertionStatus, clearAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected final Map<String, Class> knownClasses

    - #### protected static final SunClassLoader sunVM

  - ### Constructor Detail

    - #### protected SunClassLoader()

  - ### Method Detail

    - #### protected void define(byte[] bytes, String name)

    - #### public Class doesKnow(String name)

    - #### @Override
      protected Class loadClass(String name, boolean resolve)

    - #### protected void loadFromRes(String name)

    - #### protected static String resName(String s)